Get realtime quote
curl --request GET \
--url https://api.reportify.cn/v1/quant/quotes/realtime \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reportify.cn/v1/quant/quotes/realtime"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reportify.cn/v1/quant/quotes/realtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datas": [
{
"change_percent": 123,
"price": 123,
"change": 123,
"name": "<string>",
"date": "<string>"
}
],
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}行情数据
实时行情
获取单只股票的实时行情数据
GET
/
v1
/
quant
/
quotes
/
realtime
Get realtime quote
获取单只股票的实时行情数据,包含最新价、涨跌额、涨跌幅。
curl "https://api.reportify.cn/v1/quant/quotes/realtime?symbol=000001" \
-H "Authorization: Bearer <token>"
import requests
response = requests.get(
"https://api.reportify.cn/v1/quant/quotes/realtime",
headers={"Authorization": "Bearer <token>"},
params={"symbol": "000001"}
)
print(response.json())
const response = await fetch(
'https://api.reportify.cn/v1/quant/quotes/realtime?symbol=000001',
{
headers: { 'Authorization': 'Bearer <token>' }
}
);
const data = await response.json();
请求参数
string
required
股票代码
响应参数
object
查询元数据,包含
symbol响应示例
{
"datas": [
{
"name": "平安银行",
"price": 11.0,
"change": 0.05,
"change_percent": 0.4566,
"date": "2026-04-28T15:33:45+08:00"
}
],
"metadata": {
"symbol": "000001"
}
}
⌘I
